
package de.hsrm.ads;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.assertFalse;
import org.junit.Test;

public class BracketCheckerTest {

	@Test
	public void testBracketChecker1() {
		// correct brackets
		String s = "(13 + 27 * (3 - (4+1)))";
		assertTrue( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker2() {
		// no brackets -> correct
		String s = "87326csdnvjdk";
		assertTrue( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker3() {
		// brackets not matching
		String s = "1(2}3";
		assertFalse( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker4() {
		// too many closing brackets 
		String s = "((xxx)))";
		assertFalse( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker5() {
		// not enough closing brackets
		String s = "(((xxx))";
		assertFalse( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker6() {
		// multiple top-levels
		String s = "()()()()(())";
		assertTrue( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker7() {
		// multiple lines
		String s = "()()()\npublic static void foo(int c)\n { String s = 's'; }";
		assertTrue( BracketChecker.check(s) );
	}
	
	@Test
	public void testBracketChecker8() {
		// multiple lines
		String s = "()()()\npublic static void foo((int c)\n { String s = 's'; }";
		assertFalse( BracketChecker.check(s) );
	}

}
